Subject: Re: [PATCH] sky2: don't do GRO on second port

From: Jarek Poplawski <[email-masked]>
Date: Thu, 2 Sep 2010 12:53:26 +0000

On Thu, Sep 02, 2010 at 09:18:39AM +0000, Jarek Poplawski wrote:
> On Wed, Sep 01, 2010 at 02:55:54PM -0700, Stephen Hemminger wrote:
> > On Wed, 01 Sep 2010 14:51:51 -0700 (PDT)
> > David Miller <[email-masked]> wrote:
> > 
> > > From: Jarek Poplawski <[email-masked]>
> > > Date: Mon, 30 Aug 2010 21:09:00 +0200
> > > 
> > > > On Mon, Aug 30, 2010 at 10:51:17AM -0700, Stephen Hemminger wrote:
> > > >> 
> > > >>  There's something very important I forgot to tell you.
> > > >>  What?
> > > >> 
> > > >>  Don't cross the GRO streams.
> > > >>  Why?
> > > >> 
> > > >>  It would be bad.
> > > >>  I'm fuzzy on the whole good/bad thing. What do you mean, "bad"?
> > > >> 
> > > >>  Try to imagine all the Internet as you know it stopping instantaneously
> > > >>   and every bit in every packet swapping at the speed of light.
> > > >>  Total packet reordering.
> > > >>  Right. That's bad. Okay. All right. Important safety tip. Thanks, Hubert
> > > > 
> > > > Looks really bad to me, so... let's forget it! ;-) (At least until
> > > > next next.)
> > 
> > The patch wasn't that bad, but the movie quote probably confused you.
> 
> Yes, I was equally confused by both of them. Good to know it's only
> fiction... ;-)

Stephen, after Eric's explanation, I really think this patch was a bad
idea, and I apologize my false opinion started this.

I hope David, will revert this patch, please.

Sorry,
Jarek P.